To follow along with this book, you’ll need the following:

  • A computer capable of running Android Studio (Windows, Mac or Linux). See https://developer.android.com/studio/ for more specific requirements.
  • Device or Emulator that Supports Android 9.0 or Greater: If you want to test on actual devices, you’ll need one or more Android devices. However, all the examples in the book will run using the Emulator included with Android Studio.
  • Kotlin 1.5: Because Jetpack Compose relies on a special Kotlin compiler, you need Kotlin 1.5 or later both to write the code and for the compiler to process special Jetpack Compose annotations.
  • Android Studio Artic Fox: This IDE is up to date with all the tools you will need.

Have a technical question? Want to report a bug? You can ask questions and report bugs to the book authors in our official book forum here.

© 2022 Razeware LLC